## AmtkMenuItem

AmtkMenuItem — GtkMenuItem functions

## Functions

const gchar * | amtk_menu_item_get_long_description ()
void | amtk_menu_item_set_long_description ()
void | amtk_menu_item_set_icon_name ()

## Includes

    #include <amtk/amtk.h>

## Description

GtkMenuItem functions.

## Functions

### amtk_menu_item_get_long_description ()

    const gchar *
    amtk_menu_item_get_long_description (GtkMenuItem *menu_item);

#### Parameters

menu_item | a GtkMenuItem. |

#### Returns

the long description of `menu_item` , previously set with `amtk_menu_item_set_long_description()`.

[nullable]

Since: 2.0

### amtk_menu_item_set_long_description ()

    void
    amtk_menu_item_set_long_description (GtkMenuItem *menu_item,
                                         const gchar *long_description);

Sets the long description of `menu_item` . A possible use-case is to display it in a GtkStatusbar, or as a tooltip.

#### Parameters

menu_item | a GtkMenuItem. |
long_description | the long description, or `NULL` to unset it. | [nullable]

Since: 2.0

### amtk_menu_item_set_icon_name ()

    void
    amtk_menu_item_set_icon_name (GtkMenuItem *item,
                                  const gchar *icon_name);

`amtk_menu_item_set_icon_name` has been deprecated since version 5.9 and should not be used in newly-written code.

Use GtkImageMenuItem instead, even if deprecated. This function doesn't place the icon at the right place.

Sets an icon to a GtkMenuItem.

If the child widget of `item` is already a GtkBox, all GtkImage widgets inside that box are first destroyed. A GtkImage for `icon_name` is then inserted to the box.

If the child widget of `item` is not a GtkBox (it's usually the GtkAccelLabel), it is replaced by a new GtkBox and the initial child widget is inserted to the GtkBox, alongside the icon.

As a consequence, if you want to call functions on the GtkAccelLabel, it's easier to do it before calling this function.

#### Parameters

item | a GtkMenuItem. |
icon_name | an icon name. |

Since: 2.0